Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
KDE-Overlay: Cant complie PyKDE4-4.5x
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
root_tux_linux
l33t
l33t


Joined: 21 Dec 2003
Posts: 966

PostPosted: Thu Sep 02, 2010 3:49 pm    Post subject: KDE-Overlay: Cant complie PyKDE4-4.5x Reply with quote

I can't compile pykde4-4.5.0 or pykde4-4.5.1

I remerged sip, pyqt and kdelibs but nothing solve the problem...



Help :)


Code:
[  4%] Generating sip/khtml/sipkhtmlpart0.cpp, sip/khtml/sipkhtmlpart1.cpp, sip/khtml/sipkhtmlpart2.cpp, sip/khtml/sipkhtmlpart3.cpp, sip/khtml/sipkhtmlpart4.cpp, sip/khtml/sipkhtmlpart5.cpp, sip/khtml/sipkhtmlpart6.cpp, sip/khtml/sipkhtmlpart7.cpp                                                                                                                                                                             
                                                                                                                                                                                                                   
sip: /var/tmp/portage/kde-base/pykde4-4.5.1/work/pykde4-4.5.1/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/kdecore/sipkdecorepart0.cpp] Fehler 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kdecore.dir/all] Fehler 2
make[1]: *** Warte auf noch nicht beendete Prozesse...
sip: /var/tmp/portage/kde-base/pykde4-4.5.1/work/pykde4-4.5.1/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/dnssd/sipdnssdpart0.cpp] Fehler 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_dnssd.dir/all] Fehler 2
sip: /var/tmp/portage/kde-base/pykde4-4.5.1/work/pykde4-4.5.1/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/kdeui/sipkdeuipart0.cpp] Fehler 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kdeui.dir/all] Fehler 2
sip: /var/tmp/portage/kde-base/pykde4-4.5.1/work/pykde4-4.5.1/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/akonadi/sipakonadipart0.cpp] Fehler 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_akonadi.dir/all] Fehler 2
sip: /var/tmp/portage/kde-base/pykde4-4.5.1/work/pykde4-4.5.1/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/khtml/sipkhtmlpart0.cpp] Fehler 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_khtml.dir/all] Fehler 2
make: *** [all] Fehler 2
 * ERROR: kde-base/pykde4-4.5.1 failed:
 *   Make failed!
 *
 * Call stack:
 *     ebuild.sh, line   54:  Called src_compile
 *   environment, line 6389:  Called kde4-meta_src_compile
 *   environment, line 3921:  Called kde4-base_src_compile
 *   environment, line 3577:  Called cmake-utils_src_compile
 *   environment, line 1767:  Called _execute_optionaly 'src_compile'
 *   environment, line  674:  Called enable_cmake-utils_src_compile
 *   environment, line 2136:  Called cmake-utils_src_make
 *   environment, line 1786:  Called die
 * The specific snippet of code:
 *           emake "$@" || die "Make failed!";
 *
 * If you need support, post the output of 'emerge --info =kde-base/pykde4-4.5.1',
 * the complete build log and the output of 'emerge -pqv =kde-base/pykde4-4.5.1'.
 * This ebuild used the following eclasses from overlays:
 *   /var/lib/layman/kde/eclass/kde4-meta.eclass
 *   /var/lib/layman/kde/eclass/kde4-base.eclass
 *   /var/lib/layman/kde/eclass/kde4-functions.eclass
 *   /var/lib/layman/kde/eclass/cmake-utils.eclass
 * This ebuild is from an overlay named 'kde': '/var/lib/layman/kde/'
 * The complete build log is located at '/var/log/portage/kde-base:pykde4-4.5.1:20100902-154434.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/pykde4-4.5.1/temp/environment'.
 * S: '/var/tmp/portage/kde-base/pykde4-4.5.1/work/pykde4-4.5.1'

>>> Failed to emerge kde-base/pykde4-4.5.1, Log file:

_________________
Intel Core i7 6700K@4.6GHz, Gigabyte GTX 980 Ti G1, Gigabyte Gaming 7, Hyper X Fury 32GB, 2 TB Samsung EVO 840 Basic
ASUS ROG Swift PG348Q Display
ASUS ROG ASUS G771JW Notebook
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3257
Location: Gainesville, Florida

PostPosted: Thu Sep 02, 2010 4:24 pm    Post subject: Reply with quote

We have same error on the kde testing/crazy thread. I've tried several things- no luck. Don't know the correct way or exactly where to apply the patch mentioned. https://forums.gentoo.org/viewtopic-t-775571-start-850.html

Strangely, I can boot to a mixed kde-4.4.5/4.5.1 system, without the 4.5.1 pykde4 or plasma-workspace versions.

It's semi-functional- posting this from it in konqueror-4.5.1, but weird desktop missing panel function, etc.

EDIT: I'm wrong- forgot I was in firefox 4 beta4, not konqueror. :roll: But konsole does seem to work, and my panel sort of works- no icons where they should be, just blank space, but clicking on a space launces the items that were there before in 4.4.5 .

The menu works, and konqueror works- just no K menu icon in the panel.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r5, gcc-9.2.0 kernel-5.3.6-gentoo-r1 USE=experimental
Back to top
View user's profile Send private message
seqizz
Tux's lil' helper
Tux's lil' helper


Joined: 14 Jan 2008
Posts: 103

PostPosted: Thu Sep 02, 2010 6:03 pm    Post subject: Reply with quote

Seems like waiting
_________________
what about an answer here?
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3257
Location: Gainesville, Florida

PostPosted: Thu Sep 02, 2010 6:54 pm    Post subject: Reply with quote

seqizz,
Looked at your link to https://bugs.gentoo.org/335644 "seems like waiting."

This is referring to pykde4-4.4.5, not 4.5.1. Do you mean we need to try degrading sip to 4.10.5 in order to get pykde4.5.1 to compile??
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r5, gcc-9.2.0 kernel-5.3.6-gentoo-r1 USE=experimental
Back to top
View user's profile Send private message
Gh0str1d3r
Guru
Guru


Joined: 27 May 2008
Posts: 411

PostPosted: Thu Sep 02, 2010 9:42 pm    Post subject: Reply with quote

see https://forums.gentoo.org/viewtopic-p-6410688.html#6410688 I hope it helps.
Back to top
View user's profile Send private message
chl
n00b
n00b


Joined: 13 May 2003
Posts: 70
Location: Munich

PostPosted: Fri Sep 03, 2010 5:31 am    Post subject: Reply with quote

This is the reason why I love Gentoo:

- Started the update to kde-4.5.1
- pykde4 failed to build
- entered pyde4 as search term in the forum
- found this thread
- added the patch as described
- restarted the update
- it works!

Can't imagine getting better support elsewere or for any other product

Thanks a lot to all you belonging to the Gentoo community!

CHL
_________________
The difficulty in designing something completely foolproof, is not to underestimate the ingenuity of complete fools.
Back to top
View user's profile Send private message
darkbasic
Tux's lil' helper
Tux's lil' helper


Joined: 06 Sep 2006
Posts: 133

PostPosted: Fri Sep 03, 2010 9:35 pm    Post subject: Reply with quote

The patch is already in pykde4-4.5.1-r1!
_________________
Computers are like air conditioners:
they stop working properly when you open Windows...

Coltiva Linux, Windows si pianta da solo.


http://www.linuxsystems.it/
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum